=== debian/changelog ===
lg-gpio (0.1.6.1-0ubuntu3) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:31:42 +0000

lg-gpio (0.1.6.1-0ubuntu2) hirsute; urgency=medium

  * d/copyright: Corrected license for debian packaging files

 -- Dave Jones <dave.jones@canonical.com>  Wed, 24 Mar 2021 11:52:05 +0000

lg-gpio (0.1.6.1-0ubuntu1) hirsute; urgency=medium

  * Initial release (LP: #1916901)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 04 Feb 2021 11:00:21 +0000
