=== debian/control ===
Source: lg-gpio
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-dev,
 python3-setuptools,
 swig,
Standards-Version: 4.5.1
Section: electronics
Homepage: https://abyz.me.uk/lg
Rules-Requires-Root: no

Package: liblgpio-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblgpio1 (= ${binary:Version}), ${misc:Depends}
Description: Control GPIO pins via the kernel's gpiochip device interface
 The lgpio library is a fully featured library for controlling the GPIO pins
 of the local board. It includes facilities for software PWM, callbacks on
 level change, I2C, SPI, and UART wrappers.
 .
 This package contains the header files needed to use lgpio from C
 applications.

Package: liblgpio1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Control GPIO pins via the kernel's gpiochip device interface
 The lgpio library is a fully featured library for controlling the GPIO pins
 of the local board. It includes facilities for software PWM, callbacks on
 level change, I2C, SPI, and UART wrappers.
 .
 This package contains the lgpio library itself.

Package: python3-lgpio
Section: python
Architecture: any
Depends:
 liblgpio1 (= ${binary:Version}),
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Description: Control GPIO pins via the kernel's gpiochip device interface
 The lgpio library is a fully featured library for controlling the GPIO pins
 of the local board. It includes facilities for software PWM, callbacks on
 level change, I2C, SPI, and UART wrappers.
 .
 This package contains the Python 3 bindings for liblgpio.

Package: librgpio-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: librgpio1 (= ${binary:Version}), ${misc:Depends}
Description: Control GPIO pins remotely via rgpiod
 The rgpio library is a fully featured library for controlling the GPIO pins of
 a computer via the rpgio daemon. It includes facilities for software PWM,
 callbacks on level change, I2C, SPI, and UART wrappers. The daemon also
 provides file handling, script and network facilities.
 .
 This package contains the header files needed to control rgpiod from C
 applications.

Package: librgpio1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Control GPIO pins remotely via rgpiod
 The rgpio library is a fully featured library for controlling the GPIO pins of
 a computer via the rpgio daemon. It includes facilities for software PWM,
 callbacks on level change, I2C, SPI, and UART wrappers. The daemon also
 provides file handling, script and network facilities.
 .
 This package contains the rgpio library itself.

Package: python3-rgpio
Section: python
Architecture: any
Depends:
 librgpio1 (= ${binary:Version}),
 ${python3:Depends},
 ${misc:Depends},
Description: Control GPIO pins remotely via rgpiod
 The rgpio library is a fully featured library for controlling the GPIO pins of
 a computer via the rpgiod daemon. It includes facilities for software PWM,
 callbacks on level change, I2C, SPI, and UART wrappers. The daemon also
 provides file handling, script and network facilities.
 .
 This package contains the Python 3 bindings for librgpio.

Package: rgpiod
Architecture: any
Depends:
 liblgpio1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
 adduser,
Suggests: rgs
Description: Daemon permitting remote control of GPIO pins
 The rgpiod daemon provides remote control of the GPIO pins of the local
 computer via TCP sockets. It includes facilities for software PWM, callbacks
 on level change, I2C, SPI, and UART wrappers. It also provides file handling,
 script and network facilities.
 .
 This package contains the rgpiod daemon itself.

Package: rgpio-tools
Architecture: any
Depends: librgpio1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Control GPIO pins remotely
 The rgpiod daemon provides remote control of the GPIO pins of the local
 computer via TCP sockets. It includes facilities for software PWM, callbacks
 on level change, I2C, SPI, and UART wrappers. It also provides file handling,
 script and network facilities.
 .
 This package contains the rgs shell utility which can talk to the rgpiod
 daemon.
