=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export prefix=/usr
export libdir=$(prefix)/lib/$(DEB_HOST_MULTIARCH)


%:
	dh $@ --with python3

get-orig-source:
	debian/get-orig-source
