=== debian/changelog ===
lg-gpio (0.2.0.0-0ubuntu4) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 11:57:22 +0100

lg-gpio (0.2.0.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:51:05 +0000

lg-gpio (0.2.0.0-0ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 20:05:41 +0000

lg-gpio (0.2.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #1992107)
  * Removed patches merged upstream:
    - d/p/add-bias.patch
    - d/p/fix-groff-warnings.patch
  * d/control: Fixed architecture for python3-rgpio package
  * d/copyright: Simplified licensing (everything in public-domain)
  * d/lib*.symbols: Added symbols definitions for liblgpio1 and librgpio1
  * d/rgpiod.postrm: Fixed error on removal of rgpiod group

 -- Dave Jones <dave.jones@canonical.com>  Thu, 21 Jul 2022 13:16:04 +0100
