=== debian/control ===
--- 
+++ 
@@ -7,9 +7,11 @@
  python3-dev,
  python3-setuptools,
  swig,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1.0
 Section: electronics
 Homepage: https://abyz.me.uk/lg
+Vcs-Git: https://salsa.debian.org/python-team/packages/lg-gpio.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/lg-gpio
 Rules-Requires-Root: no
 
 Package: liblgpio-dev
@@ -17,7 +19,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: liblgpio1 (= ${binary:Version}), ${misc:Depends}
-Description: Control GPIO pins via the kernel's gpiochip device interface
+Description: Control GPIO pins via gpiochip devices - static libraries and headers
  The lgpio library is a fully featured library for controlling the GPIO pins
  of the local board. It includes facilities for software PWM, callbacks on
  level change, I2C, SPI, and UART wrappers.
@@ -30,7 +32,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Control GPIO pins via the kernel's gpiochip device interface
+Description: Control GPIO pins via gpiochip devices - shared libraries
  The lgpio library is a fully featured library for controlling the GPIO pins
  of the local board. It includes facilities for software PWM, callbacks on
  level change, I2C, SPI, and UART wrappers.
@@ -45,7 +47,7 @@
  ${python3:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
-Description: Control GPIO pins via the kernel's gpiochip device interface
+Description: Control GPIO pins via gpiochip devices - python3 bindings
  The lgpio library is a fully featured library for controlling the GPIO pins
  of the local board. It includes facilities for software PWM, callbacks on
  level change, I2C, SPI, and UART wrappers.
@@ -57,7 +59,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: librgpio1 (= ${binary:Version}), ${misc:Depends}
-Description: Control GPIO pins remotely via rgpiod
+Description: Control GPIO pins remotely via rgpiod - static libraries and headers
  The rgpio library is a fully featured library for controlling the GPIO pins of
  a computer via the rpgio daemon. It includes facilities for software PWM,
  callbacks on level change, I2C, SPI, and UART wrappers. The daemon also
@@ -71,7 +73,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Control GPIO pins remotely via rgpiod
+Description: Control GPIO pins remotely via rgpiod - shared libraries
  The rgpio library is a fully featured library for controlling the GPIO pins of
  a computer via the rpgio daemon. It includes facilities for software PWM,
  callbacks on level change, I2C, SPI, and UART wrappers. The daemon also
@@ -81,12 +83,12 @@
 
 Package: python3-rgpio
 Section: python
-Architecture: any
+Architecture: all
 Depends:
- librgpio1 (= ${binary:Version}),
+ librgpio1 (>= ${source:Version}),
  ${python3:Depends},
  ${misc:Depends},
-Description: Control GPIO pins remotely via rgpiod
+Description: Control GPIO pins remotely via rgpiod - python3 bindings
  The rgpio library is a fully featured library for controlling the GPIO pins of
  a computer via the rpgiod daemon. It includes facilities for software PWM,
  callbacks on level change, I2C, SPI, and UART wrappers. The daemon also
