## lg-gpio 0.2.2

=== debian/changelog ===
lg-gpio (0.2.2-1~rpt1) bookworm; urgency=medium

  * New upstream version 0.2.2
  * Rebuild for Raspberry Pi OS

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 05 Sep 2023 09:08:43 +0100

lg-gpio (0.2.0.0-1) unstable; urgency=medium

  * Initial Debian release (Closes: #998243)

 -- Dave Jones <dave@waveform.org.uk>  Wed, 23 Jun 2021 15:24:18 +0100
