=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: lg-gpio
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Dave Jones <dave@waveform.org.uk>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  python3-dev,
  python3-setuptools,
  swig,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.5.1
 Section: electronics
 Homepage: https://abyz.me.uk/lg
 Vcs-Git: https://salsa.debian.org/python-team/packages/lg-gpio.git
